/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.Player;
import entity.UrlBanners;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author install1
 */
public class BadgesDTO {

    private List<String> badgesUrls = new ArrayList();

    public BadgesDTO(Player player) {
        List<UrlBanners> urlBanners = player.getUrlBanners();
        for (UrlBanners urlbanner : urlBanners) {
            badgesUrls.add(urlbanner.getBadgeUrl());
        }
    }

    public List<String> getBadgesUrls() {
        return badgesUrls;
    }

    public void setBadgesUrls(List<String> badgesUrls) {
        this.badgesUrls = badgesUrls;
    }

    public BadgesDTO() {
    }
}
